Get Job Status
curl --request GET \
--url https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/domestic \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/domestic"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'x-api-key': '<x-api-key>',
'x-api-version': '<x-api-version>'
}
};
fetch('https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/domestic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1764238372635,
"data": {
"created_at": 1764238332215,
"updated_at": 1764238332215,
"@entity": "in.co.sandbox.it.calculator.tax_pnl.securities.job",
"security_type": "domestic",
"status": "created",
"job_id": "ab153091-51cb-460e-9858-ae6f6a6fd81a"
},
"transaction_id": "df484e5b-20fc-42b2-8b52-6bd9dc3909f2"
}{
"code": 500,
"timestamp": 1764321969592,
"message": "Failed to get job",
"transaction_id": "f1265664-d64c-4ec6-ba6e-529cb766b884"
}Check the processing status of a domestic securities Tax P&L job.
GET
/
it
/
calculator
/
tax-pnl
/
securities
/
domestic
Get Job Status
Run in Postman
Headers
Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.
Your API key used to authenticate and authorize the request.
Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.
Query Parameters
Unique identifier of the job whose processing status you want to fetch. Returned in the response when a tax P&L job is created.
Was this page helpful?
āI